package com.ruoyi.supplier.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.supplier.mapper.TCanteenDailyMapper;
import com.ruoyi.supplier.domain.TCanteenDaily;
import com.ruoyi.supplier.service.ITCanteenDailyService;

/**
 * 供应商日常工作记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-04-22
 */
@Service
public class TCanteenDailyServiceImpl implements ITCanteenDailyService 
{
    @Autowired
    private TCanteenDailyMapper tCanteenDailyMapper;

    /**
     * 查询供应商日常工作记录
     * 
     * @param dailyId 供应商日常工作记录主键
     * @return 供应商日常工作记录
     */
    @Override
    public TCanteenDaily selectTCanteenDailyByDailyId(Long dailyId)
    {
        return tCanteenDailyMapper.selectTCanteenDailyByDailyId(dailyId);
    }

    /**
     * 查询供应商日常工作记录列表
     * 
     * @param tCanteenDaily 供应商日常工作记录
     * @return 供应商日常工作记录
     */
    @Override
    public List<TCanteenDaily> selectTCanteenDailyList(TCanteenDaily tCanteenDaily)
    {
        return tCanteenDailyMapper.selectTCanteenDailyList(tCanteenDaily);
    }

    /**
     * 新增供应商日常工作记录
     * 
     * @param tCanteenDaily 供应商日常工作记录
     * @return 结果
     */
    @Override
    public int insertTCanteenDaily(TCanteenDaily tCanteenDaily)
    {
        return tCanteenDailyMapper.insertTCanteenDaily(tCanteenDaily);
    }

    /**
     * 修改供应商日常工作记录
     * 
     * @param tCanteenDaily 供应商日常工作记录
     * @return 结果
     */
    @Override
    public int updateTCanteenDaily(TCanteenDaily tCanteenDaily)
    {
        return tCanteenDailyMapper.updateTCanteenDaily(tCanteenDaily);
    }

    /**
     * 批量删除供应商日常工作记录
     * 
     * @param dailyIds 需要删除的供应商日常工作记录主键
     * @return 结果
     */
    @Override
    public int deleteTCanteenDailyByDailyIds(Long[] dailyIds)
    {
        return tCanteenDailyMapper.deleteTCanteenDailyByDailyIds(dailyIds);
    }

    /**
     * 删除供应商日常工作记录信息
     * 
     * @param dailyId 供应商日常工作记录主键
     * @return 结果
     */
    @Override
    public int deleteTCanteenDailyByDailyId(Long dailyId)
    {
        return tCanteenDailyMapper.deleteTCanteenDailyByDailyId(dailyId);
    }
}
